[Pkg-utopia-commits] r2065 - in /packages/unstable/dbus/debian: changelog dbus.init

biebl at users.alioth.debian.org biebl at users.alioth.debian.org
Fri Jan 25 10:16:35 UTC 2008


Author: biebl
Date: Fri Jan 25 10:16:35 2008
New Revision: 2065

URL: http://svn.debian.org/wsvn/pkg-utopia/?sc=1&rev=2065
Log:
* debian/dbus.init
  - Fix LSB init header. Use $remote_fs instead of $local_fs as the
    daemon requires /usr to be mounted. 
    Remove S from Should-Stop. (Closes: #459473)
  - Use mountpoint to check if /proc is mounted. (Closes: #458392)
  - Decrease retry-time to 5 secs on stop. (Closes: #462182)

Modified:
    packages/unstable/dbus/debian/changelog
    packages/unstable/dbus/debian/dbus.init

Modified: packages/unstable/dbus/debian/changelog
URL: http://svn.debian.org/wsvn/pkg-utopia/packages/unstable/dbus/debian/changelog?rev=2065&op=diff
==============================================================================
--- packages/unstable/dbus/debian/changelog (original)
+++ packages/unstable/dbus/debian/changelog Fri Jan 25 10:16:35 2008
@@ -23,6 +23,12 @@
     - Removed, merged upstream.
   * debian/control
     - Bump Standards-Version to 3.7.3. No further changes required.
+  * debian/dbus.init
+    - Fix LSB init header. Use $remote_fs instead of $local_fs as the
+      daemon requires /usr to be mounted. 
+      Remove S from Should-Stop. (Closes: #459473)
+    - Use mountpoint to check if /proc is mounted. (Closes: #458392)
+    - Decrease retry-time to 5 secs on stop. (Closes: #462182)
 
  -- Michael Biebl <biebl at debian.org>  Tue, 04 Dec 2007 21:31:12 +0100
 

Modified: packages/unstable/dbus/debian/dbus.init
URL: http://svn.debian.org/wsvn/pkg-utopia/packages/unstable/dbus/debian/dbus.init?rev=2065&op=diff
==============================================================================
--- packages/unstable/dbus/debian/dbus.init (original)
+++ packages/unstable/dbus/debian/dbus.init Fri Jan 25 10:16:35 2008
@@ -1,10 +1,10 @@
 #! /bin/sh
 ### BEGIN INIT INFO
 # Provides:          dbus
-# Required-Start:    $local_fs $syslog
-# Required-Stop:     $local_fs $syslog
+# Required-Start:    $remote_fs $syslog
+# Required-Stop:     $remote_fs $syslog
 # Default-Start:     2 3 4 5
-# Default-Stop:      S 0 1 6
+# Default-Stop:      0 1 6
 # Short-Description: D-Bus systemwide message bus
 # Description:       D-Bus is a simple interprocess messaging system, used
 #                    for sending messages between applications.
@@ -100,7 +100,7 @@
     chgrp $DAEMONUSER $PIDDIR
   fi
 
-  if [ ! -e /proc/filesystems ] ; then
+  if ! mountpoint -q /proc/ ; then
     log_failure_msg "Can't start $DESC - /proc is not mounted"
     return
   fi
@@ -115,6 +115,7 @@
       rm -f $PIDFILE
     fi
   fi
+
   create_machineid
 
   log_daemon_msg "Starting $DESC" "$NAME"
@@ -134,7 +135,7 @@
       run-parts --reverse --arg=stop $EVENTDIR || true
   fi
   log_daemon_msg "Stopping $DESC" "$NAME"
-  start-stop-daemon --stop --retry 60 --quiet --oknodo --pidfile $PIDFILE \
+  start-stop-daemon --stop --retry 5 --quiet --oknodo --pidfile $PIDFILE \
     --user $DAEMONUSER
   # We no longer include these arguments so that start-stop-daemon
   # can do its job even given that we may have been upgraded.




More information about the Pkg-utopia-commits mailing list